package org.spectrim.hlsvd;

//import mrui.plugin.PluginInfo;
//import mrui.plugin.custom.CustomPlugin;
//
//import mrui.Mrui;
//import mrui.MruiImpl;

import javax.swing.JFrame;
import org.spectrim.data.CSIData;

/**
 * Class that can be used to launch HLSVD within SpectrIm 64 bits.
 * @author Johannes Slotboom <johannes.slotboom at insel.ch>
 */


public class HLSVDLauncher  
{
	
    private final Gui gui;
    private final CSIData m_csiData;

    public HLSVDLauncher( JFrame parent, CSIData csiData ) 
    {
        m_csiData = csiData;

        System.out.println("Hello in the HLSVD plugin");

        // String work_dir = mrui.getPreferences().lastWorkDirectory;
        String work_dir = m_csiData.getFile();

        System.out.println("current jMRUI working directory = " + work_dir);	    

        gui = new Gui( parent, m_csiData );
        // mrui.getMainWindow().addFrame(gui);
        gui.setVisible(true);

    }

}
