/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.utilities;

import java.awt.Color;
import java.awt.Graphics;

/**
 *
 * @author user
 */
public class ViewingTools {

    public static Color getHSVColor(float h, float s, float v, float alpha) {
        float c;
        float x;
        float r = 0;
        float g = 0;
        float b = 0;
        float m;

        c = v * s;
        h = h / 60;
        x = c * (1 - Math.abs(h % 2 - 1));
        m = v - c;
        if (h >= 0 && h < 1) {
            r = c + m;
            g = x + m;
            b = 0 + m;
        }
        if (h >= 1 && h < 2) {
            r = x + m;
            g = c + m;
            b = 0 + m;
        }
        if (h >= 2 && h < 3) {
            r = 0 + m;
            g = c + m;
            b = x + m;
        }
        if (h >= 3 && h < 4) {
            r = 0 + m;
            g = x + m;
            b = c + m;
        }
        if (h >= 4 && h < 5) {
            r = x + m;
            g = 0 + m;
            b = c + m;
        }
        if (h >= 5 && h < 6) {
            r = c + m;
            g = 0 + m;
            b = x + m;
        }
        return new Color(r, g, b, alpha);
    }

    public static void drawShadowedString(Graphics g, String txt, int x, int y) {
        g.setColor(Color.black);
        g.drawString(txt, x + 1, y + 1);
        g.drawString(txt, x - 1, y - 1);
        g.drawString(txt, x + 1, y - 1);
        g.drawString(txt, x - 1, y + 1);
        g.drawString(txt, x, y - 1);
        g.drawString(txt, x, y + 1);
        g.drawString(txt, x + 1, y);
        g.drawString(txt, x - 1, y);
        g.setColor(Color.white);
        g.drawString(txt, x, y);
    }
    
}
