/*
 * File: $Id: StringComparator.java,v 1.1.1.1 2011/01/26 09:38:48 hans Exp $
 * History
 * Date:
 *
 * Author: Hans Slotboom
 *
 * Changes:
 *
 * Copyright 2011 by
 *
 * Inselspital - Department of Neuroradiology
 * CH 3010 Bern Switzerland
*/

package org.spectrim.lib;

import java.util.Comparator;

/**
 * Compares two strings. Obsolete, should be replaced by standard string
 * comparison functionality.
 * @author slotboom
 */

/**
 * Compares two strings: 
 * String is first reformatted to lower case letters.
 * @author Johannes Slotboom <johannes.slotboom at insel.ch>
 */
public class StringComparator implements Comparator 
{
    
    /**
     * This method performs the actual string comparison.
     * @param arg0
     * @param arg1
     * @return 
     */
    @Override
    public int compare( Object arg0, Object arg1 ) 
    {
        String s0 = arg0.toString().toLowerCase();
        String s1 = arg1.toString().toLowerCase();
        return s0.compareTo(s1);
    }
    
}