/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.patientbrowser;

import java.util.Collection;
import java.util.TreeMap;

/**
 *
 * @author user
 */
public class Patient {

    private String name;
    private String ID;
    private String birthDate;
    private TreeMap<String, Study> studies = new TreeMap<>();

    public Patient(String name, String ID, String bdate) {
        this.name = name;
        this.ID = ID;
        this.birthDate = bdate;
    }

    public void addStudy(Study study) {
        String txt = study.getDate() + study.getDescription();
//        txt = txt.replaceAll("[^A-Za-z0-9()\\[\\]]", "");
        studies.put(txt, study);
    }

    public Collection<Study> getStudies() {
        return studies.values();
    }

    public Study getStudy(String DateDescript) {
//        DateDescript = DateDescript.replaceAll("[^A-Za-z0-9()\\[\\]]", "");
        return studies.get(DateDescript);
    }

    public boolean hasStudy(String DateDescript) {
        return studies.containsKey(DateDescript);
    }

    public String getName() {
        return name;
    }

    public String getID() {
        return ID;
    }

    public String getBirthDate() {
        return birthDate;
    }
}
