/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.process;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import org.spectrim.registration.OutputListener;

public class StreamBoozer extends Thread {

    private InputStream in;
    private PrintWriter pw;
    private OutputListener listener;

    public StreamBoozer(InputStream in, PrintWriter pw, OutputListener listener) {
        this.in = in;
        this.pw = pw;
        this.listener = listener;
    }

    @Override
    public void run() {
        BufferedReader br = null;
        br = new BufferedReader(new InputStreamReader(in));
        try {
            pw.flush();
            String line = null;
            while ((line = br.readLine()) != null) {
                if (listener != null) {
                    listener.print(line);
                } else {
                    System.out.println(line);
                }
                pw.println(line);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                br.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

}
