/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.registration;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JTextArea;
import static org.spectrim.io.nifti.NiftiHandler.getRastersFromNifti;
import org.spectrim.process.ProcessBuilderWrapper;

/**ja
 *
 * @author nuno
 */
public class RegistrationHandler {

    public static void regAladin(String referenceIm, String floatingIm, String resIm, String affT, JTextArea txtarea, RegistrationWorkerListener listener) {
        try {
            List<String> command = new ArrayList<String>();
            command.add("C:\\Users\\nuno\\nifty_reg\\install\\reg-apps\\Release\\reg_aladin.exe");
            command.add("-ref");
            command.add(referenceIm);
            command.add("-flo");
            command.add(floatingIm);
            command.add("-res");
            command.add(resIm);
            command.add("-aff");
            command.add(affT);
//            command.add("-rigOnly");

            ProcessBuilderWrapper pbd = new ProcessBuilderWrapper(command, null);
            if (txtarea != null) {
                txtarea.append("\nCommand has terminated with status: " + pbd.getStatus());
                txtarea.append("\nOutput: " + pbd.getInfos());
                txtarea.append("\nError: " + pbd.getErrors());
            } else {
                System.out.println("Command has terminated with status: " + pbd.getStatus());
                System.out.println("Output:\n" + pbd.getInfos());
                System.out.println("Error: " + pbd.getErrors());
            }

            if (listener != null) {
//                listener.registrationFinished(resIm, null);
            }
        } catch (Exception ex) {
            Logger.getLogger(RegistrationHandler.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public static void regF3D(String referenceIm, String floatingIm, String resIm, String cpp, JTextArea txtarea, RegistrationWorkerListener listener) {
        try {
            List<String> command = new ArrayList<String>();
            command.add("C:\\Users\\nuno\\nifty_reg\\install\\reg-apps\\Release\\reg_f3d.exe");
            command.add("-ref");
            command.add(referenceIm);
            command.add("-flo");
            command.add(floatingIm);
            command.add("-res");
            command.add(resIm);
            command.add("-cpp");
            command.add(cpp);
            command.add("-sym");
            ProcessBuilderWrapper pbd = new ProcessBuilderWrapper(command, null);
            System.out.println("Command has terminated with status: " + pbd.getStatus());
//        System.out.println("Output:\n" + pbd.getInfos());
            System.out.println("Error: " + pbd.getErrors());
            if (listener != null) {
//                listener.registrationFinished(resIm, null);
            }
        } catch (Exception ex) {
            Logger.getLogger(RegistrationHandler.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public static void regAladinF3D(String referenceIm, String floatingIm, String resIm, String affT, String cpp, JTextArea txtarea, RegistrationWorkerListener listener) {
        try {
            regAladin(referenceIm, floatingIm, resIm, affT, txtarea, listener);
            regF3D(referenceIm, resIm, resIm, cpp, txtarea, listener);
        } catch (Exception ex) {
            Logger.getLogger(RegistrationHandler.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public static void main(String args[]) throws IOException, Exception {
//        regAladinF3D("C:\\Users\\nuno\\Desktop\\teste\\20121107_150922t1mprsagiso160s004a1001.nii",
//                "C:\\Users\\nuno\\Desktop\\teste\\20121107_150922t1mprsagweiso160s040a1001.nii",
//                "C:\\Users\\nuno\\Desktop\\teste\\res.nii",
//                "C:\\Users\\nuno\\Desktop\\teste\\aff.txt",
//                "C:\\Users\\nuno\\Desktop\\teste\\cpp.txt",
//                null,
//                null);
        regF3D("C:\\Users\\nuno\\Desktop\\teste\\20121107_150922t1mprsagiso160s004a1001.nii",
                "C:\\Users\\nuno\\Desktop\\teste\\res.nii",
                "C:\\Users\\nuno\\Desktop\\teste\\res2.nii",
                "C:\\Users\\nuno\\Desktop\\teste\\cpp.nii",
                null, null);
    }

}
