/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.tdfdfitNative;

/**
 * This class enables a true JNI-call to run the fit of a spectrum with tdfdfit.
 * @author Johannes Slotboom <johannes.slotboom at insel.ch>
 */
public class tdfdfitNative 
{
    
    public synchronized static native int tdfdfitNativeCall( String datapath, String dataflnm, String startflmn );

    
    public tdfdfitNative( )
    {
        
        System.loadLibrary( "tdfdfit_win" ); 
    }
    
    
    /**
     * Some test code. Seems to work.
     * @param args 
     */
    public static void main( String[] args )
    {
        
        System.out.println( "Starting native call." );
        tdfdfitNative tN = new tdfdfitNative( );
        System.out.println( "Loaded library." );
        
        String datapath = "C:\\Users\\slotboom\\.SpectrIm\\TDFDFit\\patient_database\\";
        String dataflnm = "Baechtold^Michele^^^_svs_se_135_ws_20130228_0.bin";
        String startflmn = "C:\\Users\\slotboom\\.SpectrIm\\TDFDFit\\patient_database\\CISS_FINAL_TEST.par";
        
        int processReturns = tN.tdfdfitNativeCall( datapath, dataflnm, startflmn );
         
        // System.out.println( "Process returns : " + processReturns );
        
    }
    
}
